# BEGIN SourceDeps(oneline):
BuildRequires: libkrb5-devel perl(Devel/CheckLib.pm) perl(ExtUtils/CBuilder.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.0.5
%define module_name Catalyst-Authentication-Credential-GSSAPI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.5
Release: alt6
Summary: rfc4559 SPNEGO/GSSAPI
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DR/DRUOSO/%{module_name}-v%{module_version}.tar.gz

%description
This module implements the HTTP negotiation described in rfc4559. The
authentication is implemented by the natively calling the gssapi from
the krb5 library. It provides only the "Credential" part of the
system. You are required to plugin a different "Storage", such as
LDAP, in order to get the data for the user info.

This allows your application to perform Single-Sign-On (SSO) if you
are in an environment with Kerberos authentication. One example of
such scenario is for environments managed with Microsoft Active
Directory.

This module will not, however, perform password-based authentication
on the Kerberos realm. It will only accept token-based negotiation
with GSSAPI.

Like the Catalyst::Authentication::Credential::HTTP manpage, this module will
detach your action for the HTTP negotiation to happen and will only
return when a valid user was authenticated and retrieved from the
store.
%prep
%setup -q -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.0.5-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.0.5-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt4.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.0.5-alt3.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt3
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.0.5-alt2
- rebuild to get rid of unmets

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1
- initial import by package builder

